# consult (One-time Payments)

> Use this API to initiate a payment consultation request to Antom. This request is returned to the merchant with information on the different payment methods and its corresponding amount, country, currency, rules, and configuration.

`POST /v1/payments/consult`

Use this API to initiate a payment consultation request to Antom. This request is returned to the merchant with information on the different payment methods and its corresponding amount, country, currency, rules, and configuration.

This API enables you to:

-   Provide consumers with multiple payment methods without bearing any additional costs caused by a change in these payment methods, or managing the logic of selecting and sorting these payment methods.
-   Automate the selection and sorting of multiple payment methods.

# Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see： 

-   [Request header](https://docs.antom.com/ac/ams/api_fund.md#ML5ur)
-   [Response header](https://docs.antom.com/ac/ams/api_fund.md#WWH90)

> **Note**: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:
>
> -   If the data type of a field is Integer and its value is `20`, set it as "`20`". 
> -   If the data type of a field is Boolean and its value is `true`, set it as "`true`".

## Request parameters

#### merchantRegion (String)

The country or region where the merchant operates the business. The parameter is a 2-letter country or region code that follows [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

Some possible values are `US`, `SG`, `HK`, `PK`, `JP`, `CN`, `BR`, `AU`, and `MY`.

> **Note**: This parameter is required when you use the Global Acquirer Gateway (GAGW) product.

More information:

- Maximum length: 2 characters

#### merchantAccountId (String)

The unique ID to identify a merchant account.

> **Note**: Specify this parameter when you use a single client ID across multiple locations.

More information:

- Maximum length: 32 characters

#### userRegion (String)

The 2-letter country or region code. For more information, see [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard. The payment methods will be sorted based on payment method relevance for the given user's region.

More information:

- Maximum length: 2 characters

#### allowedPaymentMethodRegions (Array<String>)

A list of region codes that represent the countries or regions of payment methods. The value of this parameter is a 2-letter [ISO country code](https://www.iso.org/obp/ui/#search) or `GLOBAL`.

> **Note**: Specify this parameter if you want available payment methods from specific regions to be returned. For example, if you pass in `GLOBAL`, global cards Visa and Mastercard are returned.

More information:

- Maximum length: 6 characters

#### buyer (Buyer)

Buyer information.

##### referenceBuyerId (String)

The unique ID to identify the buyer.

> **Note**: Specify this parameter when you want to use the promotion offered by Antom to this order.

More information:

- Maximum length: 64 characters

#### env (Env, REQUIRED)

Information about the environment where the order is placed, such as the device information.

##### terminalType (String, REQUIRED)

Terminal type used by the merchant. Valid values are:

-   `WEB`: The terminal type of the merchant side is a website.
-   `WAP`: The terminal type of the merchant side is a mobile website (H5 page) on a phone.
-   `APP`: The terminal type of the merchant side is an app on a phone.
-   `MINI_APP`: The terminal type of the merchant side is a mini program on a phone.

> **Note**: This field is required when _productCodeType_ is `CASHIER_PAYMENT`.

##### osType (String)

Type of the operation system. Valid values are:

-   `IOS`: The OS type is iOS.
-   `ANDROID`: The OS type is Android.

> **Note**: This field is required for all _terminalType_ values except `WEB`.

##### userAgent (String)

The user agent.

More information:

- Maximum length: 1024 characters

##### deviceTokenId (String)

Token identifier of the device.

More information:

- Maximum length: 64 characters

##### clientIp (String)

IP address of the client device.

More information:

- Maximum length: 32 characters

##### cookieId (String)

The cookie ID of the buyer.

More information:

- Maximum length: 64 characters

#### paymentAmount (Amount, REQUIRED)

The payment amount that the merchant requests to receive in the order currency.

##### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value (Integer)

The value of the amount as a positive integer in the smallest currency unit. For example, if the currency is USD and the amount is $1.00, set the value of this parameter to `100`; or if the currency is JPY and the amount is ￥1, set the value of this parameter to `1`.  

For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe) .

For details about the minimum payment amount allowed for each payment method, see [Minimum amount rules](https://docs.antom.com/ac/ref/cc.md#q9R5A).

> **Note**: Due to the currency practices in Indonesia, when the currency is IDR, round the amount with banker's rounding and fix the last two digits of this parameter as `00.`

More information:

- Value range: 0 - unlimited

#### settlementStrategy (SettlementStrategy)

The settlement strategy.

##### settlementCurrency (String)

The ISO currency code of the currency that the merchant wants to settle against. This field is required if the merchant signed up for multiple settlement currencies. Otherwise, the error code,`SETTLE_CONTRACT_NOT_MATCH`, will be returned.

More information:

- Maximum length: 3 characters

#### paymentFactor (PaymentFactor)

Factors that impact the payment. This field is used to indicate the payment scenario.

> **Note**: Specify this parameter when the value of _paymentMethodType_ is `CARD`.

##### presentmentMode (String)

The presentation mode chosen by the merchant to display the payment methods on the cashier page. Valid values are:

-   `TILE`: specify this presentation mode when presenting wallets in a separate list with individual logos. The same applies when the value is empty or when you do not specify this parameter.
-   `UNIFIED`: specify this presentation mode when presenting the unified Alipay+ payment method on the checkout page, allowing the buyer to choose a specific wallet at a later page.

#### productCode (String, REQUIRED)

Represents the payment product that is being used. The payment product that can be used is stipulated in the contract. The fixed value is:

-   `CASHIER_PAYMENT`: Indicates that this API is used for the One-time Payments scenario.

More information:

- Maximum length: 32 characters

## Response parameters

#### result (Result, REQUIRED)

The request result that contains information such as status and error codes.

> **Note**: This field doesn't indicate the payment result. This field only indicates whether the consult API is called successfully.

##### resultCode (String, REQUIRED)

The result code.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

The result status. Valid values are:  

-   `S`: Indicates that the result status is successful. 
-   `F`: Indicates that the result status is failed. 
-   `U`: Indicates that the result status is unknown.

##### resultMessage (String)

The result message.

More information:

- Maximum length: 256 characters

#### paymentOptions (Array<PaymentOption>)

The payment option list.

##### paymentMethodType (String, REQUIRED)

The payment method type. See [Payment methods](https://docs.antom.com/ac/pm/enumeration_values.md) to check the valid values.

More information:

- Maximum length: 64 characters

##### paymentMethodCategory (String)

The category of the payment method. Valid values are:

-   `ALIPAY_PLUS`: indicates that the payment method category is an Alipay+ payment method, including Alipay, AlipayHK, BillEase, Boost, BPI, DANA, GCash, Grabpay, Kakao Pay, K PLUS, Kredivo, LINE Pay, NAVER Pay, Toss Pay, Touch'n Go eWallet, and TrueMoney.  
-   `WALLET`: indicates that the payment method category is a digital wallet, including the Alipay+ payment method.
-   `CARD`: indicates that the payment method category is a card.
-   `ONLINE_BANKING`: indicates that the payment method category is online banking.
-   `BANK_TRANSFER`: indicates that the payment method category is bank transfer.
-   `OTC`: indicates that the payment method category is cash payment.
-   `MOBILE_BANKING_APP`: indicates that the payment method category is a mobile banking app.

More information:

- Maximum length: 32 characters

##### paymentMethodRegion (Array<String>)

A list of region codes that represent the countries or regions of payment methods. The value of this parameter is a 2-letter [ISO country code](https://www.iso.org/obp/ui/#search) or `GLOBAL`.

More information:

- Maximum length: 6 characters

##### paymentOptionDetail (PaymentOptionDetail)

Details about the payment option.

> **Note**: This parameter is returned when one of the following conditions is met: 
>
> -   When the value of _paymentMethodType_ is `CARD`: _paymentOptionDetail_ returns information relating to the cards.
> -   When the value of _paymentMethodType_ is `P24`: _paymentOptionDetail_ returns information relating to the Przelewy24 payment method.
> -   When the value of paymentMethodType is `ONLINEBANKING_FPX`: _paymentOptionDetail_ returns information relating to the FPX payment method.

###### supportCardBrands (Array<SupportCardBrand>, REQUIRED)

The list of supported card brands.

> **Note**: This parameter is returned when the value of _paymentMethodType_ is `CARD`.

###### cardBrand (String, REQUIRED)

The name of the card brand. See the [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE) to check the valid values.

###### logo (Logo, REQUIRED)

The logo of the card brand.

###### logoName (String, REQUIRED)

The logo name of the card brand. See the [Card brands](https://docs.antom.com/ac/pm/enumeration_values.md#ZfyuE) to check the valid values.

More information:

- Maximum length: 12 characters

###### logoUrl (String)

The logo URL of the card brand.

More information:

- Maximum length: 2048 characters

###### funding (Array<String>)

The funding type of the card. Valid values are: 

-   `CREDIT`: indicates a credit card. 
-   `DEBIT`: indicates a debit card. 
-   `PREPAID`: indicates a prepaid card
-   `CHARGE`: indicates a charge card
-   `DEFERRED_DEBIT`: indicates a deferred debit card

> **Note**: This parameter is returned when all the following conditions are met:
>
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _cardNo_ is valid.
> -   The information is available in the Antom card database.

###### supportBanks (Array <SupportBanks>, REQUIRED)

The list of supported banks. 

This parameter is returned when the value of _paymentMethodType_ is `P24` or `ONLINEBANKING_FPX`.

###### bankIdentifierCode (String)

The unique code of the bank. See the [Bank list](https://docs.antom.com/ac/pm/enumeration_values.md#1QVov) to check the valid values.

###### bankShortName (String)

The short name of the bank. The unique code of the bank. See the [Bank list](https://docs.antom.com/ac/pm/enumeration_values.md#1QVov) to check the valid values.

###### bankLogo (Logo)

The logo information about the bank.

> **Note**: This parameter is returned when the value of _paymentMethodType_ is `ONLINEBANKING_FPX`.

###### logoName (String, REQUIRED)

The logo name of the bank.

More information:

- Maximum length: 32 characters

###### logoUrl (String)

The logo URL of the bank.

More information:

- Maximum length: 2048 characters

###### interactionTypes (Array<InteractionType>)

Indicates the type of payment interaction flow used by the user. Valid values are:

-   `QR`: The user pays by scanning a QR code.
-   `REDIRECT`: The user pays via a redirection URL.

**Note**: This parameter is returned when you need to specify the interaction type for the payment method.

##### enabled (Boolean, REQUIRED)

Indicates whether the payment method is available.

##### disableReason (String)

The reason why the payment method is not available. Valid values are:

-   `PAYMENT_ACCOUNT_NOT_AVAILABLE`
-   `EXCEED_CHANNEL_LIMIT_RULE`
-   `SERVICE_DEGRADE`
-   `CHANNEL_NOT_SUPPORT_CURRENCY`
-   `CHANNEL_DISABLE`
-   `CHANNEL_NOT_IN_SERVICE_TIME`
-   `QUERY_IPP_INFO_FAILED`
-   `LIMIT_CENTER_ACCESS_FAIL` 
-   `CURRENT_CHANNEL_NOT_EXIST`

More information:

- Maximum length: 64 characters

##### logo (Logo)

The logo information about the payment method.

###### logoName (String, REQUIRED)

The logo name of the payment method.

More information:

- Maximum length: 32 characters

###### logoUrl (URL)

The logo URL of the payment method.

More information:

- Maximum length: 2048 characters

##### promoNames (Array <String>)

The list of the promotion names. In JSON format. The keys are returned as a language and a country code, connected by an underscore, such as `zh_CN`, while the value is the promotion name, such as `RM1 Voucher`.

More information:

- Maximum length: 512 characters

##### installment (Installment)

Information about installments.

> **Note**: This parameter is returned when the payment method supports installments.

###### supportCardBrands (Array<SupportCardBrand>)

The list of card brands that support the installment plans.  

This parameter is returned when the value of _paymentMethodType_ is `CARD`.

###### cardBrand (String, REQUIRED)

The name of the card brand. Valid values are:

-   `VISA`: indicates Visa. 
-   `MASTERCARD`: indicates Mastercard.  
-   `AMEX`: indicates American Express (Amex).
-   `HIPERCARD`: indicates Hipercard.
-   `ELO`: indicates Elo.

###### logo (Logo, REQUIRED)

The logo of the card brand.

###### logoName (String, REQUIRED)

The logo name of the card brand. Valid values are: `VISA`, `MASTERCARD`, `AMEX`, `HIPERCARD`, and `ELO`.

More information:

- Maximum length: 12 characters

###### logoUrl (String)

The logo URL of the card brand.

More information:

- Maximum length: 2048 characters

###### plans (Array<Plan>)

The list of installment plans for payment methods that support installments.

###### interestRate (String)

The interest rate the customer is charged on the installments.

More information:

- Maximum length: 8 characters

###### minInstallmentAmount (Amount, REQUIRED)

The minimum amount that can be paid by installments.

###### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (Integer)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

###### maxInstallmentAmount (Amount, REQUIRED)

The maximum amount that can be paid by installments.

###### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (Integer)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

###### installmentNum (String, REQUIRED)

The number of installment payments. The valid value is from `2` to `12`.

More information:

- Maximum length: 8 characters

###### interval (String, REQUIRED)

The interval of each installment payment. The valid value is `MONTH`.

More information:

- Maximum length: 16 characters

###### enabled (Boolean, REQUIRED)

Indicates whether the installment payment is available.

##### promotionInfos (Array <PromotionInfo>)

Promotion information.

This parameter is returned when the payment method offers a promotion to the buyer.

###### promotionType (String, REQUIRED)

Promotion type. Valid values are:

`DISCOUNT`: a deduction from the regular price.

`INTEREST_FREE`: payment in interest-free installments.

More information:

- Maximum length: 32 characters

###### discount (Discount)

Discount information.

> **Note**: This parameter is returned when the payment method offers a promotion to the buyer.

###### discountTag (String)

The discount tag is displayed as a superscript next to the discount name.

More information:

- Maximum length: 64 characters

###### discountName (String)

The discount name displayed in the default language.

More information:

- Maximum length: 128 characters

###### estimateSavingsAmount (Amount)

The estimated discount amount.

###### value (Integer, REQUIRED)

The discount amount as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

###### currency (String, REQUIRED)

A 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

###### interestFree (InterestFree)

The information about interest-free installment plans.

###### provider (String, REQUIRED)

Issuing banks or financial institutions that offer interest-free installment plans.

More information:

- Maximum length: 128 characters

###### expireTime (Datetime, REQUIRED)

The promotion expiration time.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

###### installmentFreeNums (Array<Integer>, REQUIRED)

The number of interest-free installments.

More information:

- Value range: 2-unlimited

###### minPaymentAmount (Amount, REQUIRED)

The minimum payment amount required for the promotion.

###### value (Integer, REQUIRED)

A positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

###### currency (String, REQUIRED)

A 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

###### maxPaymentAmount (Amount)

The maximum payment amount required for the promotion. The empty value indicates that there is no restriction on the maximum amount.

###### value (Integer, REQUIRED)

A positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

###### currency (String, REQUIRED)

A 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

###### freePercentage (Integer, REQUIRED)

The interest-free percentage. A value of 0 indicates no interest-free, 100% indicates the buyer is completely interest-free, while the value between 0-100% indicates partial interest-free.

## Result/Error codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | The consultation is successful. No further action is needed. |
| CURRENCY_NOT_SUPPORT | F | The currency is not supported. | Change the currency used in the request. If the issue persists, contact Antom Technical Support for detailed reasons. |
| MERCHANT_NOT_REGISTERED | F | The merchant is not registered. | Please register the merchant by using the registration interface. Contact Antom Technical Support if failed to call the registration interface. |
| NO_PAY_OPTIONS | F | No payment options are available. | Contact Antom Technical Support for detailed reasons. |
| PARAM_ILLEGAL | F | The required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong. | Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid. |
| PROCESS_FAIL | F | A general business failure occurred. | Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. |
| SETTLE_CONTRACT_NOT_MATCH | F | No matched settlement contract can be found. | Check the following for a solution:   Specify one settlement currency from the multiple currencies that the merchant signed up for.  Check if the settlement currency is specified in the settlement contracts.  The merchant didn't sign a settlement contract. Contact Antom Technical Support. |
| UNKNOWN_EXCEPTION | U | An API call has failed, which is caused by unknown reasons. | Call the interface again to resolve the issue. If not resolved, contact Antom Technical Support. |

## Request

```json
{
  "merchantAccountId": "2188234232",
  "settlementStrategy": {
    "settlementCurrency": "USD"
  },
  "productCode": "CASHIER_PAYMENT",
  "userRegion": "SG",
  "allowedPaymentMethodRegions": [
    "HK",
    "JP",
    "CN",
    "SG",
    "MY",
    "PH",
    "ID",
    "KR",
    "TH"
  ],
  "env": {
    "osType": "IOS",
    "terminalType": "WAP"
  },
  "paymentAmount": {
    "currency": "THB",
    "value": "30000"
  },
  "paymentFactor": {
    "presentmentMode": "TILE"
  }
}
```

## Response

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "success."
  },
  "paymentOptions": [
    {
      "paymentMethodRegion": [
        "BR"
      ],
      "installment": {
        "plans": [
          {
            "interestRate": "0.00",
            "installmentNum": "2",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "3",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "4",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "5",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "6",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "7",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "8",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "9",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "10",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "11",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          },
          {
            "interestRate": "0.00",
            "installmentNum": "12",
            "interval": "MONTH",
            "minInstallmentAmount": {
              "currency": "BRL",
              "value": "4000"
            },
            "enabled": true,
            "maxInstallmentAmount": {
              "currency": "BRL",
              "value": "999999999900"
            }
          }
        ],
        "supportCardBrands": [
          {
            "logo": {
              "logoName": "AMEX",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/91418df3-a62b-47be-a3c4-9a40bb66f0c5.svg"
            },
            "cardBrand": "AMEX"
          },
          {
            "logo": {
              "logoName": "HIPERCARD",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/b2a364ef-0a94-4591-8eb6-749837ed4a12.svg"
            },
            "cardBrand": "HIPERCARD"
          },
          {
            "logo": {
              "logoName": "MASTERCARD",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/30/593c0dd3-b12e-4578-8efb-17b85614f92c.svg"
            },
            "cardBrand": "MASTERCARD"
          },
          {
            "logo": {
              "logoName": "VISA",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/dfd471f3-da7d-4ef1-8486-cfa4301045c6.svg"
            },
            "cardBrand": "VISA"
          },
          {
            "logo": {
              "logoName": "ELO",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/ae2b5c32-ce7f-473c-b311-763563dc4145.svg"
            },
            "cardBrand": "ELO"
          }
        ]
      },
      "paymentMethodCategory": "CARD",
      "paymentOptionDetail": {
        "funding": [
          "CREDIT"
        ],
        "supportCardBrands": [
          {
            "logo": {
              "logoName": "AMEX",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/91418df3-a62b-47be-a3c4-9a40bb66f0c5.svg"
            },
            "cardBrand": "AMEX"
          },
          {
            "logo": {
              "logoName": "HIPERCARD",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/b2a364ef-0a94-4591-8eb6-749837ed4a12.svg"
            },
            "cardBrand": "HIPERCARD"
          },
          {
            "logo": {
              "logoName": "MASTERCARD",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/30/593c0dd3-b12e-4578-8efb-17b85614f92c.svg"
            },
            "cardBrand": "MASTERCARD"
          },
          {
            "logo": {
              "logoName": "VISA",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/dfd471f3-da7d-4ef1-8486-cfa4301045c6.svg"
            },
            "cardBrand": "VISA"
          },
          {
            "logo": {
              "logoName": "ELO",
              "logoUrl": "https://cdn.marmot-cloud.com/storage/2022/9/26/ae2b5c32-ce7f-473c-b311-763563dc4145.svg"
            },
            "cardBrand": "ELO"
          },
          {
            "logo": {
              "logoName": "DINERS",
              "logoUrl": "https://gw.alipay.com/antom/icon/medium/default/DINERS.svg"
            },
            "cardBrand": "DINERS"
          }
        ]
      },
      "logo": {
        "logoName": "Card"
      },
      "paymentMethodType": "CARD",
      "enabled": true
    },
    {
      "paymentMethodRegion": [
        "BR"
      ],
      "paymentMethodCategory": "",
      "logo": {
        "logoName": "Pix",
        "logoUrl": "https://resourcecenter-v2-internet-site-dev-s29001109997.alipay.net/antom/icon/medium/default/pix.svg"
      },
      "paymentMethodType": "PIX",
      "enabled": true
    },
    {
      "disableReason": "CURRENT_CHANNEL_NOT_EXIST",
      "paymentMethodRegion": [
        "PL"
      ],
      "logo": {
        "logoName": "Blik",
        "logoUrl": "https://gw.alipay.com/antom/icon/medium/default/blik.svg"
      },
      "paymentMethodType": "BLIK",
      "enabled": false
    },
    {
      "disableReason": "CURRENT_CHANNEL_NOT_EXIST",
      "paymentMethodRegion": [
        "HK",
        "TH",
        "KR",
        "PH",
        "ID",
        "CN",
        "MY"
      ],
      "logo": {
        "logoName": "Alipay+",
        "logoUrl": "https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET.png"
      },
      "paymentMethodType": "CONNECT_WALLET",
      "enabled": false
    }
  ]
}
```